summaryrefslogtreecommitdiffstats
path: root/development/c_count/c_count.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/c_count/c_count.SlackBuild')
-rw-r--r--development/c_count/c_count.SlackBuild107
1 files changed, 107 insertions, 0 deletions
diff --git a/development/c_count/c_count.SlackBuild b/development/c_count/c_count.SlackBuild
new file mode 100644
index 0000000000..7a1d2a9597
--- /dev/null
+++ b/development/c_count/c_count.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for c_count
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# sloccount conflict is because both packages install /usr/bin/c_count.
+# Upstream for c_count is aware of this but refuses to change (because
+# his package is older). No idea if sloccount upstream knows or cares
+# (it's been decades, so the problem isn't going to get solved). So
+# install as C_count by default. Annnoyingly enough, there's no man
+# page for sloccount's c_count, and our man command is case-insensitive
+# by default, so "man c_count" will show the man page for C_count since
+# there isn't one for sloccount c_count. Confusing. Hopefully whoever
+# this happens to, figures it out pretty quick.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=c_count
+VERSION=${VERSION:-7.22}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Avoid sloccount conflict. --program-transform-name fixes the
+# filenames but not the file contents, hence the sed stuff.
+if [ "${LOWERCASE:-no}" = "no" ]; then
+ PTN="--program-transform-name='s/^c/C/'"
+ sed -i '/"[^"]*c_count/s,c_count,C_count,g' $PRGNAM.c
+ sed -i 's,c_count,C_count,g' $PRGNAM.1
+ BIN="C_count"
+else
+ BIN="c_count"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ $PTN \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+strip $PRGNAM
+make install DESTDIR=$PKG
+gzip $PKG/usr/man/man*/*
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a CHANGES COPYING README $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+sed "s,@BIN@,$BIN,g" < $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE